Bug 112281 - Sun 21" monitor reported as bogus
Summary: Sun 21" monitor reported as bogus
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhpl   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-16 23:48 UTC by Mike Duigou
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 18:37:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Duigou 2003-12-16 23:48:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
Some Sun 21" monitors return no ddc name despite having otherwise
valid DDC info. The monitors in question return ID=SUN0567

`ddcprobe --raw --monitor ` (hey, how about some ddcprobe docs!) returns :

id=SUN0567
horiz=30-96
vert=48-160
width=390
height=290

The following patch substitutes the EISA ID for the name if no name is
present:

--- /usr/lib/python2.2/site-packages/rhpl/monitor.py.orig      
2003-12-16 15:40:52.000000000 -0800
+++ /usr/lib/python2.2/site-packages/rhpl/monitor.py    2003-12-16
15:40:55.000000000 -0800
@@ -238,6 +238,9 @@
                log("Ignoring bad ddcprobe output line |%s|", line)
                pass
  
+       if monName == None and monEisa != None :
+           monName = monEisa
+
        return (monEisa, monName, monHoriz, monVert, physWidth,
physHeight)
  
     def getDDCProbeResults(self):


Version-Release number of selected component (if applicable):
rhpl-0.121-1

How reproducible:
Always

Steps to Reproduce:
1. run redhat-config-xfree86


Actual Results:  * ddprobe returned bogus values:
ID:   SUN0567
Name: None
HorizSync: 30-96
VertSync: 48-160

Expected Results:  ddc values should have been used in spite of missng
"name" attribute.

Additional info:

Comment 1 Jeremy Katz 2003-12-17 01:16:38 UTC
Added to CVS, will be in next build.

Comment 2 Panos 2006-04-09 00:02:46 UTC
Hi, I've just found this via Google.
I'm a newbee having installed Linux (Redhat 9) for the very first time
an hour ago! I have problems with the same monitor SUN0567 -or- my VIDEO
card configuration (I have a DELL Dimension 1100 that seems to use an
"82865G Intel Graphics Controler"). Any clues please?

The quality of the display is very poor and everything is magnified
on the screen ... my first night with Linux nothing is probed correctly!

Ibex

Comment 3 Jeremy Katz 2006-04-24 18:37:00 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.